
Foreman - Bug #2298

User in multiple Orgs gets 'Any Organization' option that really is any Org

03/10/2013 12:47 PM - Anonymous

Status: Resolved   

Priority: High   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I can create a user that belongs to a single Org and he sees vm's that belong to just his Org. But when I add a user to more than one

Org he can choose any of those from the menu and see just hosts in that particular Org.

The problem is the user also gets an 'Any Organization' option (which they log in with by default) and can see vm's outside of their

two Orgs. The user can also perform operations on the VM's in other Orgs, including deleting them.

Related issues:

Related to Foreman - Feature #3914: Need ability to specify a default Organiz... Closed 12/17/2013

Related to Foreman - Bug #4526: Missing 'Any Location'-Option in Location Sel... Resolved 03/03/2014

History

#1 - 03/10/2013 02:49 PM - Anonymous

https://github.com/theforeman/foreman/pull/464

#2 - 04/11/2013 02:14 PM - Dominic Cleal

- Target version set to 1.2.0

#3 - 05/10/2013 03:23 AM - Marek Hulán

This one is to be closed I think. I don't see a way to set org to nil anymore. More information is related PR.

#4 - 05/10/2013 05:26 AM - Dominic Cleal

- Status changed from New to Resolved

Thanks for confirming Marek.  Let us know if you see this on 1.2 Jason, it's should be fixed now.

#5 - 08/07/2013 04:48 PM - Greg Sutcliffe

- Description updated

- Status changed from Resolved to New

- Target version changed from 1.2.0 to 1.3.0

#6 - 08/07/2013 04:50 PM - Anonymous

- Target version deleted (1.3.0)

In 1.2 creating a non-admin user assigned to multiple orgs and then logging in as them will give you nil org, allowing you to see hosts and perform

actions you shouldn't be able to.

Once you select an org there is no longer an 'Any Organization' option to easily get back, but logging out and clearing your browser history is enough

to get back to a nil org (logging out and back in does not seem to be sufficient).

#7 - 08/07/2013 04:58 PM - Anonymous

in the pull I submitted above the two lines:
https://github.com/theforeman/foreman/pull/464


+                             elsif !User.current.admin?

+                               orgs.first

in app/controllers/application_controller.rb stop the user from getting nil org when logging in if they are a non-admin.

I don't know if there are other ways to get nil org by being crafty, but this would at least be a start.

#8 - 08/07/2013 05:02 PM - Anonymous

- Target version set to 1.3.0

#9 - 08/23/2013 02:55 PM - Anonymous

- Status changed from New to Assigned

#10 - 09/04/2013 08:59 AM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/864

#11 - 10/15/2013 11:11 AM - Dominic Cleal

- Target version deleted (1.3.0)

#12 - 12/18/2013 04:35 PM - Dominic Cleal

- Related to Feature #3914: Need ability to specify a default Organization for a user added

#13 - 03/03/2014 03:36 PM - Dominic Cleal

- Related to Bug #4526: Missing 'Any Location'-Option in Location Selection List added

#14 - 02/29/2016 04:25 AM - Ori Rabin

- Status changed from Ready For Testing to Resolved
